%define upstream_name    Dist-Zilla-Plugin-Prereqs-AuthorDeps
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Add Dist::Zilla authordeps to META files as develop prereqs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Dist::Zilla::Util::AuthorDeps) >= 5.21.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Deep::JSON)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Foo the foo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 1010629
- update to 0.006

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 969183
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 864352
- update to 0.005

* Sun Jun 28 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 846564
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 745488
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 23 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 625133
- update to 0.003

* Tue Feb 25 2014 jquelin <jquelin> 0.2.0-1.mga5
+ Revision: 596935
- imported package perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps

